Subject: Re: getc() problem with Cygwin v1.0
From: Earnie Boyd <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 13 Jan 2000 12:10:03 -0800 (PST)

--- [email-masked] wrote:
-8<-
> Yes, using gets() or fgets() for a small program would work better, but
> the real problem is that canonical mode is broken for v1.0 (the man
> page for "termio" explains this in detail, but it basically means getc(stdin)
> should block until a carriage return is entered).  Canonical mode also
> allows the user to backspace over his mistakes -- which also doesn't work
> with v1.0.
> 
> Pre-compiled programs distributed with Cygwin v1.0 such as bc.exe, dc.exe,
> etc all rely on canonical mode.  It is especially annoying to not be able
> to backspace over my mistakes with dc.exe -- I have to kill the program
> each time and start over.  Even if I were to modify the souce code to
> replace getc(stdin) with fgets(...), I still wouldn't be able to backspace...
> 
> And for that matter, you can't backspace with sh.exe, either.  I can't
> believe I'm the first person to notice this.
> 
> Hey Cygnus, are you reading this?  Is there any way we can fix canonical
> mode for v1.0?
> 

Uhm... you've got something not set correctly.  What is your TERM variable set
to?  It should read TERM=cygwin.  A paste of the output of `cygcheck -s -v -r'
would be helpful.

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]